Package ghidra.graph.viewer

# Class SatelliteGraphViewer<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
edu.uci.ics.jung.visualization.BasicVisualizationServer<V,E>
edu.uci.ics.jung.visualization.VisualizationViewer<V,E>
edu.uci.ics.jung.visualization.control.SatelliteVisualizationViewer<V,E>
ghidra.graph.viewer.SatelliteGraphViewer<V,E>

Type Parameters:
  `V` - the vertex type
  `E` - the edge type

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.util.ChangeEventSupport`, `edu.uci.ics.jung.visualization.VisualizationServer<V,E>`, `ImageObserver`, `MenuContainer`, `Serializable`, `EventListener`, `Accessible`, `ChangeListener`

Direct Known Subclasses:
  `CachingSatelliteGraphViewer`

public class SatelliteGraphViewer<V extends VisualVertex,E extends VisualEdge<V>> extends edu.uci.ics.jung.visualization.control.SatelliteVisualizationViewer<V,E>
A graph viewer that shows a scaled, complete rendering of the graph with which it is associated.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class edu.uci.ics.jung.visualization.VisualizationViewer

  `edu.uci.ics.jung.visualization.VisualizationViewer.GraphMouse`

  ## Nested classes/interfaces inherited from class edu.uci.ics.jung.visualization.BasicVisualizationServer

  `edu.uci.ics.jung.visualization.BasicVisualizationServer.VisualizationListener`

  ## Nested classes/interfaces inherited from class javax.swing.JPanel

  `JPanel.AccessibleJPanel`

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Container

  `Container.AccessibleAWTContainer`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

  ## Nested classes/interfaces inherited from interface edu.uci.ics.jung.visualization.VisualizationServer

  `edu.uci.ics.jung.visualization.VisualizationServer.Paintable`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected GraphViewer<V,E>`
  `graphViewer`
  `protected VisualGraphOptions`
  `options`

  ### Fields inherited from class edu.uci.ics.jung.visualization.control.SatelliteVisualizationViewer

  `master`

  ### Fields inherited from class edu.uci.ics.jung.visualization.VisualizationViewer

  `edgeToolTipTransformer, graphMouse, mouseEventToolTipTransformer, requestFocusListener, vertexToolTipTransformer`

  ### Fields inherited from class edu.uci.ics.jung.visualization.BasicVisualizationServer

  `changeSupport, doubleBuffered, model, offscreen, offscreenG2d, pickedEdgeState, pickedVertexState, pickEventListener, postRenderers, preRenderers, renderContext, renderer, renderingHints`

  ### Fields inherited from class javax.swing.JComponent

  `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SatelliteGraphViewer(GraphViewer<V,E> master, Dimension preferredSize)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VisualGraphPluggableGraphMouse<V,E>`
  `getGraphMouse()`
  `edu.uci.ics.jung.visualization.renderers.Renderer.Vertex<V,E>`
  `getPreferredVertexRenderer()`
  Gets the renderer to use with this satellite viewer.
  `boolean`
  `isDocked()`
  Returns true if this satellite viewer is docked
  `void`
  `optionsChanged()`
  Called to signal that the options used by this viewer have changed
  `void`
  `setDocked(boolean docked)`
  Sets the docked state of this viewer.
  `void`
  `setGraphMouse(edu.uci.ics.jung.visualization.VisualizationViewer.GraphMouse graphMouse)`
  `void`
  `setGraphOptions(VisualGraphOptions options)`
  The options for this viewer

  ### Methods inherited from class edu.uci.ics.jung.visualization.control.SatelliteVisualizationViewer

  `getMaster`

  ### Methods inherited from class edu.uci.ics.jung.visualization.VisualizationViewer

  `addGraphMouseListener, addKeyListener, getToolTipText, setEdgeToolTipTransformer, setMouseEventToolTipTransformer, setVertexToolTipTransformer`

  ### Methods inherited from class edu.uci.ics.jung.visualization.BasicVisualizationServer

  `addChangeListener, addPostRenderPaintable, addPreRenderPaintable, checkOffscreenImage, fireStateChanged, getCenter, getChangeListeners, getGraphLayout, getModel, getPickedEdgeState, getPickedVertexState, getPickSupport, getRenderContext, getRenderer, getRenderingHints, getSize, isDoubleBuffered, paintComponent, prependPostRenderPaintable, prependPreRenderPaintable, removeChangeListener, removePostRenderPaintable, removePreRenderPaintable, renderGraph, scaleToLayout, setDoubleBuffered, setGraphLayout, setModel, setPickedEdgeState, setPickedVertexState, setPickSupport, setRenderContext, setRenderer, setRenderingHints, setVisible, stateChanged`

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface edu.uci.ics.jung.visualization.VisualizationServer

  `repaint`

- ## Field Details

  - ### graphViewer

    protected GraphViewer<V extends VisualVertex,E extends VisualEdge<V>> graphViewer

  - ### options

    protected VisualGraphOptions options

- ## Constructor Details

  - ### SatelliteGraphViewer

    public SatelliteGraphViewer(GraphViewer<V,E> master, Dimension preferredSize)

- ## Method Details

  - ### setDocked

    public void setDocked(boolean docked)
    Sets the docked state of this viewer. An undocked satellite viewer will be in its own window.
    Parameters:
      `docked` - true if this viewer is docked; false if it is undocked

  - ### isDocked

    public boolean isDocked()
    Returns true if this satellite viewer is docked
    Returns:
      true if this satellite viewer is docked

  - ### getPreferredVertexRenderer

    public edu.uci.ics.jung.visualization.renderers.Renderer.Vertex<V,E> getPreferredVertexRenderer()
    Gets the renderer to use with this satellite viewer.
    Returns:
      the renderer

  - ### setGraphOptions

    public void setGraphOptions(VisualGraphOptions options)
    The options for this viewer
    Parameters:
      `options` - the options

  - ### optionsChanged

    public void optionsChanged()
    Called to signal that the options used by this viewer have changed

  - ### getGraphMouse

    public VisualGraphPluggableGraphMouse<V,E> getGraphMouse()
    Overrides:
      `getGraphMouse` in class `edu.uci.ics.jung.visualization.VisualizationViewer<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### setGraphMouse

    public void setGraphMouse(edu.uci.ics.jung.visualization.VisualizationViewer.GraphMouse graphMouse)
    Overrides:
      `setGraphMouse` in class `edu.uci.ics.jung.visualization.VisualizationViewer<V extends VisualVertex,E extends VisualEdge<V>>`